Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.scheduler
Class Scheduler

    java.lang.Object
      org.apache.stratum.scheduler.Scheduler

All Implemented Interfaces:
  Configurable, Startable

public class Scheduler
extends java.lang.Object
implements Configurable, Startable

This class is the Scheduler component that implements a Quartz scheduler.

Version:
  $Id: Scheduler.java 264731 2005-08-30 08:04:32Z henning $
Author:
  John Thorhauer

Field Summary
`protected org.quartz.impl.StdScheduler` | `scheduler` TODO: DOCUMENT ME!

Constructor Summary
`Scheduler()`

Method Summary
`void` | `configure(org.apache.commons.configuration.Configuration configuration)` Configure the Scheduler
`static void` | `main(java.lang.String[] args)` Just a command line test tool to start the scheduler from the command line.
`void` | `start()` start the scheduler.
`void` | `stop()` stop the scheduler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scheduler

    protected org.quartz.impl.StdScheduler scheduler

  TODO: DOCUMENT ME!

Constructor Detail

### Scheduler

    public Scheduler()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Just a command line test tool to start the scheduler from the command line. If looks for the properties file in the following location: /projects/jakarta-turbine-stratum/src/test-conf/Scheduler.properties

  Parameters:
    `args` - command line arguments
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  start the scheduler.

  Specified by:
    `start` in interface `Startable`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  stop the scheduler.

  Specified by:
    `stop` in interface `Startable`
  Throws:
    `java.lang.Exception`

### configure

    public void configure(org.apache.commons.configuration.Configuration configuration)
                   throws org.apache.commons.lang.exception.NestableException

  Configure the Scheduler

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `configuration` - the configuration
  Throws:
    `org.apache.commons.lang.exception.NestableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.